import ApiClient from "./HttpClient";
import Authorization from "./modules/Authorization";
import Feature from "./modules/Feature";
import Object from "./modules/ObjectModule";
import Permission from "./modules/Permission";
import PricingTier from "./modules/PricingTier";
import Role from "./modules/Role";
import Session from "./modules/Session";
import Tenant from "./modules/Tenant";
import User from "./modules/User";
import Warrant from "./modules/WarrantModule";
import Config from "./types/Config";
export default class WarrantClient {
    static config: Config;
    static httpClient: ApiClient;
    Authorization: typeof Authorization;
    Feature: typeof Feature;
    Object: typeof Object;
    Permission: typeof Permission;
    PricingTier: typeof PricingTier;
    Role: typeof Role;
    Session: typeof Session;
    Tenant: typeof Tenant;
    User: typeof User;
    Warrant: typeof Warrant;
    constructor(config: Config);
}
