import { CheckParams, CheckManyParams, FeatureCheckParams, PermissionCheckParams } from "../types/Check";
import { WarrantRequestOptions } from "../types/WarrantRequestOptions";
export default class Authorization {
    static check(checkParams: CheckParams, options?: WarrantRequestOptions): Promise<boolean>;
    static checkMany(checkParams: CheckManyParams, options?: WarrantRequestOptions): Promise<boolean>;
    static hasFeature(featureCheckParams: FeatureCheckParams, options?: WarrantRequestOptions): Promise<boolean>;
    static hasPermission(permissionCheckParams: PermissionCheckParams, options?: WarrantRequestOptions): Promise<boolean>;
    private static makeCheckRequest;
    private static makeEdgeCheckRequest;
}
